Connexion

Forum

Environnements Graphiques » Enlightenment Besoin d'aide pour installer Enlightenment Installation depuis le git

mackady Membre non connecté

Rang

Avatar

Inscrit le : 26/01/2019 à 12h02

Localisation : Wuppertal

Messages: 2

Le 26/01/2019 à 12h43
Bonjour a tout le monde

Je suis sur KDE plasma et j'ai essayé d'installer enlightenment mais je ne suis buté a un probleme que je n arrive pas a résoudre que voici :
J ai utilisé la methode git ci dessous
https://www.enlightenment.org/docs/distros/ubuntu-start#Installing_from_Packaged_Source
a la 3 étape j ai ce problème que je n arrive pas a résoudre :

checking for check >= 0.9.10... no
configure: error: Package requirements (check >= 0.9.10) were not met:

No package 'check' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables CHECK_CFLAGS
and CHECK_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

Apres l execution de la commande ./autogen.sh j'ai le resultat ci- haut , aidez moi s'il vous plait a continuer l'installation de make et make install
Merci d avance.

Système d'exploitation : KDE neon 5.14
Version de KDE Plasma : 5.14.5
Version de Qt : 5.11.2
Version de KDE Frameworks : 5.54.0
Version de noyau : 4.15.0-43-generic
Type de système d'exploitation : 64-bit
Processeurs : 4 × Intel® Pentium® CPU N3530 @ 2.16GHz
Mémoire : 7,7 Gio de mémoire vive


Note du Modérateur : discussion scindée pour la sortir d'une discussion vieille d'un an ;-) Edité par stroibe974 Le 26/01/2019 à 13h02
   
nic80 Membre non connecté

Rang

Avatar

Inscrit le : 06/08/2018 à 23h52

Messages: 1413

Le 26/01/2019 à 13h25
Bonjour,

Est ce que le paquet libcheck0 ( et eventuellement libcheck-devel puisque ici on fait de la compilation) est installé ? Edité par nic80 Le 26/01/2019 à 13h25
   
magnux77 Membre non connecté

Rang

Avatar

Inscrit le : 21/09/2009 à 11h49

Localisation : Champs-sur-Marne France

Messages: 5037

Le 26/01/2019 à 19h51
Alors je duplique la réponse que je viens de faire de l'autre côté...
----------------------------------------------------------------------------------------------------------
Heu...
Je ne suis pas sûr de bien comprendre. Et si je comprends, ce n'est guère mieux. Aussi, je suis les 2 hypothèses...

J'ai regardé la procédure à laquelle tu fais référence.
1° Si tu appliques à la lettre la procédure en question, c'est du Ubuntu, ça ne fonctionne pas avec Mageia.
2° Si tu fais l'équivalent, par urpmi, c'est totalement inutile puisque Enlightenment est disponible dnas les dépôts, il suffit de le sélectionner.

Me trompe-je ?


...depuis Mandrake 7
Membre de l'April - « promouvoir et défendre le Logiciel Libre»
Soutien Framasoft - « Changer le monde, un octet à la fois»
Config n°1 : cpu=AMD64x6 mem=16G SSD=64G HDD=1T OS=Mageia7-64 DE=Xfce, Config n°2 : Dell Latitude E6410 SSD=120G OS=Mageia7 DE=Xfce, Config n°3 : ThinkpadR40 SSD=32G OS=[Manjaro, Parabola, Mageia6] DE=Xfce, Config n°4 : EeePC901 SSD=20Gb, OS=[SliTaz5/Lxde, Mageia6/Xfce]
   
nic80 Membre non connecté

Rang

Avatar

Inscrit le : 06/08/2018 à 23h52

Messages: 1413

Le 26/01/2019 à 23h35
Bonjour,

En fait, je pense que ce n' est pas pour l' installer sur une Mageia ( et je n' avais juste pas vu ce point, donc forcement libcheck-devel ne peut pas fonctionner)....

Citation :
Système d'exploitation : KDE neon 5.14


Et KDE neon ( et donc je suppose plutôt orientée Kde de part son nom !) est basée sur une distribution Ubuntu donc la procédure donnée dans le lien devrait être la bonne.

Ici l' autogen.sh cherche probablement un fichier check.pc qu' il ne trouve pas (peut être parce que le paquet check n' est pas installé ou si installé pas à la bonne version/architecture). Un find / -name *.pc devrait permettre de trouver le fichier .pc si existant.



   
Répondre
Vous n'êtes pas autorisé à écrire dans cette catégorie